Subject: Re: [Dime] Question On Proxy-Info AVP

From: Andrea Moise <[email-masked]>
Date: Mon, 5 Aug 2013 16:46:53 -0400

Hi Kishore,

RFC 6733 has clear separation of roles between routing-related AVPs (such
as Route-Record) and other AVPs. Therefore, I don't think that a request
containing a Proxy-Info AVP and no Route-Record AVP would confuse other
agents or Diameter nodes.

In my experience, however, not every Diameter node preserves Proxy-Info AVP
in answers.

Hope this helps,

Andrea

*From:* [email-masked] [mailto:[email-masked]] *On Behalf Of *J
> V, Kishore Kumar (Communication & Media Solutions)
> *Sent:* Friday, July 26, 2013 12:00 AM
> *To:* [email-masked]
> *Subject:* [Dime] Question On Proxy-Info AVP****
>
> ** **
>
> Hi,****
>
> ** **
>
>                 We support a heterogeneous architecture of diameter stack
> where the actual stack runs on a network front-end machine, with diameter
> application (eg., HSS) running on the back-end machines. So far this
> front-end network stack was stateful i.e. if it had sent an outgoing
> request, it knew to which back-end machine the response has to be routed
> to. ****
>
> ** **
>
> This state-full property brings-in some issues and thus we’re planning on
> to make the network front-end stack stateless. For this, we need the
> ability to have some information to be put in the request with the
> guarantee that the same will be returned in the response – basically the
> state information. For stateless agents, RFE already defines the Proxy-Info
> AVP for storing and retrieval for their state information. There has been
> suggestion to use the same for a new outgoing – not forwarded – requests.
> We know that AVP name itself implies that only agents can utilize them.
> But, can this be possible to use this AVP for new outgoing request to store
> the stateless information? Is this practiced anywhere? How do the popular
> implementation of stack/diameter application deal with a ‘Proxy-Info’ AVP
> without let’s say a Route-Record AVP – i.e. Only if Route-Record AVP is
> present, it means it has passed through an agent?****
>
> ** **
>
> Please let us know your opinion on this.****
>
> ** **
>
> Thanks,****
>
> Kishore****
>
> ** **
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime
>
>